<template>
  <div id="home">
    <div class="panel">
      <h1>
        <router-link :to="{ path: '/' }" class="route">
          ALL PRODUCTS
        </router-link>
      </h1>
      <div class="container">
        <div v-for="item in beers" :key="item.id" class="item">
          <img :src="item.image_url" alt="Image" v-on:click="" />
          <div class="description">
            <h3>{{ item.name }}</h3>
            <i>"{{ item.tagline }}"</i>
            <p>{{ item.description }}</p>
          </div>
        </div>
      </div>
    </div>
    <div class="side"></div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted } from "vue";
import { invoke } from '@tauri-apps/api/tauri'

const invoke = window.__TAURI__.invoke

const beers = ref([]);

function toBackend() {
  invoke('write_beer_to_file');
}

function tologin() {
  this.$router.push("/");
}

function fetchBeers() {
  fetch("https://api.punkapi.com/v2/beers")
    .then((response) => response.json())
    .then((data) => {
      beers.value = data;
    })
    .catch((error) => {
      console.error(
        "Une erreur s'est produite lors de la récupération des données :",
        error
      );
    });
}

onMounted(() => {
  fetchBeers();
});
</script>

<style lang="scss" scoped>
.container::-webkit-scrollbar-track {
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  border-radius: 10px;
  background-color: #f5f5f5;
}

.container::-webkit-scrollbar {
  width: 12px;
  background-color: #f5f5f5;
}

.container::-webkit-scrollbar-thumb {
  border-radius: 10px;
  -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  background-color: #555;
}
#home {
  height: 100vh;
  display: grid;
  grid-template-columns: 50% auto;
  grid-template-rows: 1fr repeat(4, 0);
  grid-column-gap: 0px;
  grid-row-gap: 0px;
  .side {
    height: 100%;
    width: auto;
    background-image: url("https://f.hellowork.com/obs-static-images/seo/ObsJob/barman.jpg");
    background-size: cover;
    background-repeat: no-repeat;
  }
  .panel {
    background-image: linear-gradient(
      to bottom,
      #0a1412,
      #101b19,
      #13231f,
      #152a26,
      #18322c
    );
    display: flex;
    flex-direction: column;
    justify-content: center;
    overflow-x: hidden;
    padding: 16px;
  }
  h1 {
    font-size: 64px;
    .route {
      text-decoration: none;
      color: #e9e9e9;
    }
  }
  .container {
    width: 100%;
    overflow-y: scroll;
    display: flex;
    flex-direction: column;
    align-items: center;
    .item {
      padding: 8px 32px;
      width: 512px;
      height: 370px;
      border-radius: 10px;
      background-color: #eae7de;
      border: 1px solid #eae7de;
      margin-bottom: 24px;
      display: flex;
      justify-content: center;
      align-items: center;
      .description {
        padding: 16px;
        display: flex;
        flex-direction: column;
      }
      img {
        max-width: 80%;
        max-height: 80%;
      }
    }
  }
}
</style>
